Fork me on GitHub

XOOPS 2.0.15

200625
Août
  philou Versions 28153

L'équipe de développement XOOPS est heureuse de vous annoncer la sortie de XOOPS version 2.0.15.

C'est une version de maintenance qui corrige un certain nombre de bugs. Elle améliore notamment la sécurité de XOOPS et pour tous les utilisateurs des versions 2.0.x il est fortement conseillé de faire cette mise à jour.

Spécifications système

PHP
version PHP >= 4.3.0+ (PHP 4.2.x peut fonctionner mais n'est pas officiellement supporté)
MySQL
serveur MySQL 3.23+
Serveur Web
Un serveur supportant la version PHP requise (Apache fortement recommandé)

Télécharger XOOPS

Vous pouvez obtenir le package de la version française à partir de notre espace sourceforge.net (format zip.)

Correctif pour les formulaires(Correctif pour les formulaires, mettre le fichier dans class/xoopsform)



Installer XOOPS

1. Copier le contenu du dossier htdocs/ à la racine de votre serveur
2. Assurez-vous que le fichier mainfile.php et les dossiers cache, templates_c et uploads sont accessibles en lecture-écriture par le serveur
3. Accédez au dossier où vous avez installé les fichiers du dossier htdocs en utilisant votre navigateur pour lancer l'assistant d'installation

Dans le répertoire docs du package, vous trouverez un fichier install_fr.html avec plus d'indications.

Mise à jour à partir d'une version antérieure

  Mise à jour à partir de XOOPS 2.0.14

Copiez juste le contenu du dossier du dossier htdocs sur votre installation existante sauf le fichier mainfile.php et le dossier install. Ensuite faites une mise à jour du module système.

  Mise à jour à partir d'une version comprise entre 2.0.7 et 2.0.13.2 :

1. Copier contenu du dossier du dossier htdocs sauf le fichier mainfile.php sur votre installation existante.
2. Supprimer les dossiers et fichier suivants de votre serveur :
   * class/smarty/core
   class/smarty/plugins/resource.db.php
3. Vider le répertoire templates_c (sauf index.html)
4. Uploader le dossier upgrade à la racine de votre site
5. Assurez vous que le serveur peut écrire dans le fichier mainfile.php (chmod=777)
6. Connectez vous avec votre compte d'administrateur
7. Dans votre navigateur saisir /upgrade/ , et suivez les instructions
8. Mettez votre fichier mainfile.php en lecture seule (chmod=444)
9. Supprimez le dossier upgrade qui n'est plus utile maintenant

Par précaution, exercez-vous à simuler cette mise à jour dans un environnement de test. Prenez soin de faire une sauvegarde préalable des fichiers et de la base de données.

Vérification de l'intégrité des fichiers

Cette version de xoops est livrée avec un script expérimental capable de vérifier si tous les fichiers du "system" (le noyau xoops) ont bien été uploadés sur le serveur. Pour l'utiliser, suivez ces instructions :

  • 1. uploader les fichiers xoops_md5.php et xoops.md5, situé à la racine du package dans le répertoire racine de votre serveur
  • 2. exécutez xoops_md5.php dans votre navigateur
  • 3.si nécessaire, réuploader les fichiers manquants ou corrompus
  • 4. supprimer les fichiers xoops_md5.php et xoops_.md5 de votre serveur

Découvrir les indications cachées en cas de page blanche

Xoops affiche une page d'erreur basique pour prévenir les erreurs fatales. Pour vous aider à diagnostiquer la cause de l'erreur, cette page contient des informations supplémentaires qui sont cachées par défaut. Pour les découvrir utilisez le menu "sélectionner tout" de votre navigateur ; sur la plupart d'entre eux vous pouvez utiliser la combinaison de touches "ctrl+A".

Support WYSIWYG expérimental

Cette version contient un patch expérimental qui autorise l'utilisation d'éditeur WYSIWYG tiers pour remplacer l'ancien "DHTML". Du à un manque de tests étendus, cette fonctionalité a été désactivée par défaut et requière une modification manuelle pour la configurer.

Pour activer cette fonctionnalité :
Editez le fichier class/xoopsform/formdhtmltextarea.php
Changez la ligne "htmlEditor", spécifiez la localisation de l'éditeur que vous souhaitez utiliser.

Un exemple :

var $htmlEditor = array( 'XoopsFormTinyeditorTextArea''/class/xoopseditor/tinyeditor/formtinyeditortextarea.php' );

Pour le désactiver changez la ligne "htmlEditor" et remettez la valeur originale :
var $htmlEditor = array();

Application par Alain01 :

installation du module tinyeditor et configuration,
modification de la ligne 74 du fichier class/xoopsform/formdhtmltextarea.php :

// var $htmlEditor = array();
var $htmlEditor = array( 'XoopsFormTinyeditorTextArea''/class/xoopseditor/tinyeditor/formtinyeditortextarea.php' );

et cela fonctionne (dans les blocs par exemple).



Colorpicker : précisions apportées par Zoullou

Open in new window


Un nouveau type d'élément de formulaire qui manquait à XOOPS a été ajouté avec la 2.0.15 : un sélecteur de couleur.
Pour les utilisateurs, pas de grand changement pour l'instant, il faudra attendre que les développeurs l'utilise dans leurs modules.

Voici une description un peu plus technique pour les personnes intéressées. Tout d'abord, cet élément est disponible comme les autres, en incluant dans votre page le formLoader (class/xoopsformloader.php).

Cette nouvelle classe s'appelle : XoopsFormColorPicker. Le constructeur admet 3 paramètres dont 1 obligatoire : XoopsFormColorPicker($caption, $name, $value="#FFFFFF")
Caption et name ont la même fonction que pour les autres éléments de formulaire et value sert à fixer une valeur par default. Si elle n'est pas renseignée, le blanc est utilisé.

J'espère que ce nouvel élément vous servira.

Les formulaires XOOPS

Auparavant, la validation des formulaires avant leur soumission (réalisée en Javascript) était rudimentaire. Les éléments déclarés comme "require" était vérifiés en ne regardant que si le contenu était vide ou non.
Maintenant, vous pouvez ajouter des validations bien plus complètes.

Pour cela, il suffit de dériver la classe de formulaire que vous voulez personnaliser (XoopsFormPassword, XoopsFormSelect...) en ajoutant la méthode renderValidationJS().
Cette méthode sera appelée si l'élément est déclaré comme require. Il doit renvoyer une chaine de caractère contenant du code Javascript ayant cette forme :

"if ( validationEchoue ) { window.alert("".$eltmsg.""); myform.".$this->getName().".focus(); return false; }n"


Voici un exemple de validation pour le XoopsFormColorPicker :
function renderValidationJS() {
   
$eltname    $this->getName();
   
$eltcaption trim$this->getCaption() );
   
$eltmsg = empty($eltcaption) ? sprintf_FORM_ENTER$eltname ) : sprintf_FORM_ENTER$eltcaption );

   return 
"if ( !(new RegExp("^#[0-9a-fA-F]{6}","i").test(myform.{$eltname}.value)) ) { window.alert("{$eltmsg}"); myform.{$eltname}.focus(); return false; }";
}


Ceci permet de tester si la couleur est une couleur Hexadécimale valide.

Modules

Les packages des releases candidates ne contiennent pas de modules à part le module system. Vous pouvez utiliser les anciens modules du package 2.0.13.2 ou parcourir notre espace téléchargement de modules. Quelques uns des meilleurs modules peuvent être trouvés sur les sites suivants :

  • Herve Thouzard's site (News, mydownload, shortcuts...)
  • Panther Software Publishing (xProject, xAsset)
  • Smart Factory (SmartSection and many others)
  • XForge site (CBB forum, Wordpress, MediaWiki...)
  • Nous recommandons fortement l'installation du module Protector ce qui apportera une protection additionnelle et des possibilités de journalisation à votre site.

    La dernière version du module Protector a été intégré dans le package francophone. Consulter le fichier protector/docs/readme_fr.html pour la procédure d'installation.


    Merci de noter que cette version ne s'adresse qu'aux utilisateurs des séries 2.0.x. Une version spécifique 2.2.5-RC1 pour les utilisateurs des versions 2.2.x est prévue très prochainement.

    Une version actualisée de ce document(en anglais) peut être trouvée sur : http://devteam.xoops.org/releases/xoops-2.0.15.html

    Article modifié le mardi 29 Août 2006 par Christian.

    En attendant un correctif officiel, veuillez prendre connaissance du commentaire de Dugris qui propose un correctif du fichier xoopsform.php.(ajout du 31/08/2006)

    Note: 0.00 (0 votes) - Noter cet article -

    Partager Twitter Partagez cette article sur GG+
    Format imprimable Envoyer cet article à un ami
    Les commentaires appartiennent à leurs auteurs. Nous ne sommes pas responsables de leur contenu.
    Xoops accro
    Inscrit le: 25/02/2004
    De: Région parisienne
    Contributions: 2526
    DuGris Posté le: 25/08/2006 12:10  Mis à jour: 25/08/2006 12:10
     Re: XOOPS 2.0.15
    Bon, je viens de mettre à jour 3 site en 2.0.14, il faut maintenant que je m'attele à les passer en 2.0.15, pfffffffff
    Allez, je me laisse un peu de temps et je fais les maj de mes sites la semaine prochaine.

    Petit conseil aux utilisateurs de myReferer, Xlanguage, etc. … n’oubliez pas de modifier les fichiers du core qui le nécessite pour que ces modules continuent à fonctionner !!!
    Aspirant
    Inscrit le: 13/07/2003
    De: Brasil - SíƒÂ£o Paulo - Guarulhos
    Contributions: 72
    gibaphp Posté le: 25/08/2006 12:29  Mis à jour: 25/08/2006 12:29
     Re: XOOPS 2.0.15
    Nous mise à jour de Doc. Xoops avec les notes 2.0.15 de dégagement

    XOOPS 2.0.15 Updated Mis à jour

    In English.

    We Doc Xoops update with Release Notes 2.0.15

    XOOPS 2.0.15 Updated
    Régulier
    Inscrit le: 09/12/2005
    De:
    Contributions: 187
    FaYsSaL Posté le: 25/08/2006 13:26  Mis à jour: 25/08/2006 13:26
     Re: XOOPS 2.0.15
    bahh la je pense que je vais faire la migration vers la 2.0.14
    bye bye 2.0.13.2 :xfsuper:
    bravo team
    Supporter Xoops
    Inscrit le: 02/10/2004
    De:
    Contributions: 370
    PinMaster Posté le: 25/08/2006 14:16  Mis à jour: 25/08/2006 14:16
     Re: XOOPS 2.0.15
    Génial...
    Mais je vais faire comme DuGris, y a pas mal de modification sur le site notament au niveau des membres.
    Semi pro
    Inscrit le: 21/11/2004
    De: Un petit coin de Belgique
    Contributions: 826
    satanas Posté le: 25/08/2006 14:46  Mis à jour: 25/08/2006 14:46
     Re: XOOPS 2.0.15
    Moi vais attendre encore un peu, car mes sites sont pas mal hacké surtout pour les inscriptions et affichage du nom du membre par rapport au pseudo
    Régulier
    Inscrit le: 24/04/2004
    De:
    Contributions: 442
    SpeedAirMan Posté le: 25/08/2006 15:33  Mis à jour: 25/08/2006 15:33
     Re: XOOPS 2.0.15
    Je ne vais pas me plaindre de la vivacité avec laquelle l'équipe de Xoops produit les mises à jour, mais c'est vrai que là, on n'a plus le temps de se reposer

    Bref, moi j'ai une ch'tite question, et malgré mes recherches, je n'ai pas encore trouvé la réponse :
    Comment mettre à jour (update) le site en version 2.0.15 à partir de la version 2.0.14 ?!
    Faut-il remplacer tous les fichiers ?!
    Uniquement les fichiers présents dans "upgrade" ?!
    A quoi sert le fichier présent dans le dossier "2.0.13-to-2.0.14" ?!

    J'ai 2 sites Xoopsés, l'un en 2.0.13.2 et l'autre en 2.0.14.
    Admin Frxoops
    Inscrit le: 16/05/2003
    De: Rhone-Alpes
    Contributions: 3503
    alain01 Posté le: 25/08/2006 15:37  Mis à jour: 25/08/2006 18:08
     Re: XOOPS 2.0.15
    Hello, je viens de tester une installation "propre" et j'ai suivi ce que propose Skalpa ici
    Citation :
    Experimental WYSIWYG support
    This version contains an experimental patch that allows the use of 3rd party WYSIWYG editors to replace the old "DHTML" one. Due to a lack of extended testing, this functionality has been disabled by default and requires that you modify one file manually to configure it.

    To enable it:

    Edit the file class/xoopsform/formdhtmltextarea.php
    Change the "htmlEditor" line, specifying the location of the editor you want to use. An example would be:
    var $htmlEditor = array( 'XoopsFormTinyeditorTextArea', '/class/xoopseditor/tinyeditor/formtinyeditortextarea.php' );

    To disable it, change the "htmlEditor" line back to its default value:
    var $htmlEditor = array();
    .

    j'ai donc installé tinyeditor et configuré,
    modifié la ligne 74 du fichier class/xoopsform/formdhtmltextarea.php :
    Citation :
    // var $htmlEditor = array();
    var $htmlEditor = array( 'XoopsFormTinyeditorTextArea', '/class/xoopseditor/tinyeditor/formtinyeditortextarea.php' );

    ...
    et ???
    ...
    J'ai tinyeditor par défaut pour éditer mes blocs !
    Hourrrrrrrrrra ! :banane:

    Heuu, nan, en fait ça ne marche que si on laisse la barre d'outils par défaut ou bien dans sa config avant l'upagrade (si tinyeditor avait déja été installé)
    Call to a member function isContainer() on a non-object in htdocs2015classxoopsformform.php on line 193
    Call Stack

    A voir...
    Admin Frxoops
    Inscrit le: 16/05/2003
    De: Rhone-Alpes
    Contributions: 3503
    alain01 Posté le: 25/08/2006 15:39  Mis à jour: 25/08/2006 19:16
     Re: XOOPS 2.0.15
    @speedairman :
    tout est expliqué dans le fichier release_notes.txt à la racine du zip !

    Remarque 0 :
    Vous pouvez supprimer le dossier "extras".

    Remarque 1 :
    Pour une upgrade autre que depuis 2.0.14, il faut aussi penser à supprimer le dossier /install

    Remarque 2 : Il est indiqué que l'on peut faire une MAJ depuis un XOOPS 2.0.7 ! de quoi mettre vos sites enfin à jours, les webmasteurs à la traine.

    Nota: Bien sur, Faites un test sur un site de test placé sur votre serveur où se trouve votre/vos site(s) en production. Le test sera au plus près de la réalité.
    Régulier
    Inscrit le: 20/03/2003
    De: Bruxelles
    Contributions: 319
    sm@rt-IT Posté le: 25/08/2006 17:10  Mis à jour: 25/08/2006 17:10
     Re: XOOPS 2.0.15
    je viens de faire une mise à jour de la 2.0.14 à la .15

    Ca marche! Seules remarques:
    _la page upgrade verifie le patch de la 2.0.13 à la 2.0.14???
    _il faut faire l'installation en English.

    Sinon, c'est nickel! :xfsuper:

    PS: pq Tinyeditor et pas Inbetween comme WYSIWYG editor? Je croyais que c'était le meilleur???
    Semi pro
    Inscrit le: 04/08/2005
    De: Quelque part dans les étoiles...
    Contributions: 1141
    xmouse Posté le: 25/08/2006 17:11  Mis à jour: 25/08/2006 17:11
     Re: XOOPS 2.0.15
    Génial,

    mais le module Xlanguage ne fonctionne pas....

    A voir...
    Admin Frxoops
    Inscrit le: 16/05/2003
    De: Rhone-Alpes
    Contributions: 3503
    alain01 Posté le: 25/08/2006 17:21  Mis à jour: 25/08/2006 17:21
     Re: XOOPS 2.0.15
    @DJVPX :
    - le dossier upgrade n'est que pour un xoops entre 2.0.7 et 2.0.13.2 comme indiqué dans le fichier
    - tinyeditor est la suite de inbetween, je te renvoi à cet article, ici, pour la dernière version de tinyeditor, .
    Xoops accro
    Inscrit le: 25/02/2004
    De: Région parisienne
    Contributions: 2526
    DuGris Posté le: 26/08/2006 02:56  Mis à jour: 26/08/2006 02:56
     Re: XOOPS 2.0.15
    @ xmouse : voir mon premier commentaire, je l'ai justement fait pour prévenir ce genre de question !!!
    Aspirant
    Inscrit le: 13/07/2003
    De: Brasil - SíƒÂ£o Paulo - Guarulhos
    Contributions: 72
    gibaphp Posté le: 26/08/2006 03:36  Mis à jour: 26/08/2006 03:55
     Re: XOOPS 2.0.15
    Sorry me commentaires a membres community :xfsuper: in english. Translation of portuguese a French no work correct

    About we very good friend philou

    Create part release xoops 2.0.15 in the translation for fr language

    My help forum for create section

    For all community :xfsuper: , participe for XoopsDoc. This is very important for all world Xoops champagne

    Sorry, rss , my english very poor too

    Traduction par kris :

    Désolé pour mes commentaires en anglais à la communauté.
    La traduction du portugais brésilien au français n'est pas génial.
    Pour mon excellent ami Philou.
    Création d'un article des releases de la 2.0.15 en français à cet endroit (attente de la traduction)
    Lien pour mon forum d'aide à la création de la section.

    Pour toute la communauté, la participation au site XoopsDoc est très importante pour le monde des utilisateurs de xoops.

    Une nouvelle fois désolé, pour mon pauvre anglais également
    Semi pro
    Inscrit le: 05/06/2004
    De:
    Contributions: 750
    Niluge Posté le: 27/08/2006 13:25  Mis à jour: 27/08/2006 13:25
     Re: XOOPS 2.0.15
    Bonjour,
    Tout d'abord merci à tous ceux qui ont contribués à cette nouvelle version de xoops!

    Pourrais-t-on avoir plus d'informations concernant le ‘color’ config value in the preferences admin

    Commnent ca fonctionne?

    Au fait dans XoopsFormColorPicker($caption, $name, $value="#FFFFFF"), n'y a-t-il pas 2 paramètres obligatoires?
    Semi pro
    Inscrit le: 06/01/2004
    De: Non loin de Paris
    Contributions: 666
    zoullou Posté le: 27/08/2006 13:33  Mis à jour: 27/08/2006 13:33
     Re: XOOPS 2.0.15
    Exact, il y a 2 parametres obligatoires
    Pour la config color, elle sert a pourvoir ajouter un champ de type XoopsFormColorPicker au formulaire de préférence des modules.

    Je ferais un article complet sur ces différentes fonctionnalitées sur http://xoopsdocs.net/.

    A+
    Semi pro
    Inscrit le: 06/09/2005
    De: Barcelone - Espagne
    Contributions: 691
    Guitariste Posté le: 27/08/2006 22:38  Mis à jour: 27/08/2006 22:38
     Re: XOOPS 2.0.15
    Moi je suis vraiment déçus, j'ai fait cette version, car j'ai cru que ça va résoudre mon problème de Gestion d'images que j'ai posté sur le Forum sans réponses éfficaces dans Ce Sujet

    alors c toujours le même problème.

    en tout cas bon courage
    Aspirant
    Inscrit le: 13/06/2003
    De: Metz
    Contributions: 69
    jmini Posté le: 28/08/2006 09:36  Mis à jour: 28/08/2006 09:36
     Re: XOOPS 2.0.15
    L'installateur ne marche pas en français.

    On voit des _INSTALL_L81 un peut partout... Il manque le fichier de traduction.
    Régulier
    Inscrit le: 20/03/2003
    De: Bruxelles
    Contributions: 319
    sm@rt-IT Posté le: 28/08/2006 16:56  Mis à jour: 29/08/2006 21:42
     XOOPS 2.0.15
    Bonjour à tous,
    j'ai installé TinyEditor et fait les modifs pour l'avoir comme éditeur dans mes news et mes blocs.
    Cela fonctionne...
    ...MAIS : boulet

    1) dans la partie "Admin - TinyEditor - Paramétrage barre d'outils", tout ce que je peux faire, c'est voir la liste des groupes et cliquer sur "ok!", je ne vois rien d'autre...

    2) dans la partie "Admin - TinyEditor - Types Mime", même remarque

    3) comment insérer une image contenue dans le gestionnaire d'images Xoops?

    Merci pour vos réponses et:
    "vivement un éditeur WYSIWYG en standard dans Xoops..." qui vote pour? => moi :bravo:
    Admin Frxoops
    Inscrit le: 04/02/2003
    De: Belgique
    Contributions: 3372
    Solo71 Posté le: 29/08/2006 10:44  Mis à jour: 29/08/2006 21:43
     Re: XOOPS 2.0.15
    Merci d'ouvrir un nouveau sujet dans les forums.

    Xoops accro
    Inscrit le: 25/02/2004
    De: Région parisienne
    Contributions: 2526
    DuGris Posté le: 31/08/2006 23:45  Mis à jour: 31/08/2006 23:45
     Re: XOOPS 2.0.15
    Voici le fichier class/xoopsform/form.php modifié qui résoud les petits problèmes rencontré avec les modules :

    Page 1.16 (création de page dans l'admin)
    Tinyeditor (paramétrage de la barre d'outils)
    catads (edition d'annonce)

    Les modifications apportés à ce fichier non rien d'officiel, pour le moment

    xoops2015_xoopsform_dugris.zip
    Admin Frxoops
    Inscrit le: 04/02/2003
    De: Belgique
    Contributions: 3372
    Solo71 Posté le: 01/09/2006 09:10  Mis à jour: 01/09/2006 09:10
     Re: XOOPS 2.0.15
    Au poil, merci DuGris. A ajouter impérativement dans les fichiers du core.

    Je confirme pour Edito aussi.

    Régulier
    Inscrit le: 26/04/2003
    De: Geneve - Suisse
    Contributions: 129
    Gigamaster Posté le: 01/09/2006 10:26  Mis à jour: 01/09/2006 10:26
     Re: XOOPS 2.0.15
    Bonjour DuGris,

    Gijoe propose une solution pour résoudre le bug de xoopsform:
    http://www.peak.ne.jp/xoops/md/xhnewb ... ost_id=6297#forumpost6297
    Régulier
    Inscrit le: 26/05/2005
    De:
    Contributions: 359
    Skype-Fr Posté le: 01/09/2006 14:13  Mis à jour: 01/09/2006 14:13
     Re: XOOPS 2.0.15
    Toujours le célèbre Gijoe (bienfaiteur de Xoops) a déjà refait un hack autologin pour la 2.0.15
    Régulier
    Inscrit le: 26/11/2004
    De: Azle, Texas, USA
    Contributions: 151
    philippe__ Posté le: 01/09/2006 15:07  Mis à jour: 01/09/2006 15:07
     Re: XOOPS 2.0.15
    si quelqu'un pouvait faire un hack pour Xlanguage 3.00 ça serait vraiment génial
    Xoops accro
    Inscrit le: 25/02/2004
    De: Région parisienne
    Contributions: 2526
    DuGris Posté le: 01/09/2006 18:30  Mis à jour: 01/09/2006 18:30
     Re: XOOPS 2.0.15
    @Gigamaster

    Je viens de voir la solution proposée par gijoe et elle n'est pas suffisante.
    Car si la variable testée est numérique, booléean, ... et n'est donc pas une chaîne de caractère, l'erreur se produira quand même.

    Sa solution résout seulement une partie du problème et pas les problèmes à venir.

    j'ai posté ma modification sur le site de gijoe
    Semi pro
    Inscrit le: 13/02/2006
    De: Belgique
    Contributions: 812
    johann1 Posté le: 01/09/2006 18:45  Mis à jour: 01/09/2006 18:45
     Re: XOOPS 2.0.15
    Félicitations Dugris !!!

    Tout fonctionne apparemment à la perfection.

    Grand merci.

    Cordialement

    Johann *
    Aspirant
    Inscrit le: 07/11/2003
    De:
    Contributions: 45
    cafenoir Posté le: 04/09/2006 21:43  Mis à jour: 04/09/2006 21:43
     Re: XOOPS 2.0.15
    Merci à Dugris dont la solution m'a eté relayée par kris ,
    Je confirme donc que grace au form.php de Dugris , le module wfdownloads accepte maintenant la reedition des descriptions pour correction
    bravo et merci :xfsuper:
    Xoops accro
    Inscrit le: 18/01/2004
    De: Ma Caverne
    Contributions: 2839
    Marco Posté le: 04/09/2006 22:02  Mis à jour: 04/09/2006 22:02
     Re: XOOPS 2.0.15
    Pour ceux qui se posent des questions, petit thread interessant
    Semi pro
    Inscrit le: 21/11/2004
    De: Un petit coin de Belgique
    Contributions: 826
    satanas Posté le: 08/09/2006 22:58  Mis à jour: 08/09/2006 22:58
     Re: XOOPS 2.0.15
    Bonsoir,

    Juste une remarque Marco, ton petit threat point vers une zone ou on a pas accès
    Xoops accro
    Inscrit le: 18/01/2004
    De: Ma Caverne
    Contributions: 2839
    Marco Posté le: 09/09/2006 00:44  Mis à jour: 09/09/2006 00:44
     Re: XOOPS 2.0.15
    il y a eu delete entre temps
    Régulier
    Inscrit le: 27/03/2005
    De: Pen ar bed
    Contributions: 147
    vinyz Posté le: 10/09/2006 15:36  Mis à jour: 10/09/2006 15:36
     Re: XOOPS 2.0.15
    Bonjour,

    Mise à jour à partir d'une version comprise entre 2.0.7 et 2.0.13.2 ---> marche Nickel !

    Merci et bravo champagne

    PS: peut être virer le répertoire install, y sert plus à rien à la racine (suggestion car non précisé dans la procédure) ...
    Newbie
    Inscrit le: 11/02/2006
    De:
    Contributions: 9
    captainfla Posté le: 18/09/2006 22:20  Mis à jour: 18/09/2006 22:20
     Re: XOOPS 2.0.15
    Bonjour et merci pour cette modification.
    Je vous confirme aussi que ce fichier corrige un problème avec WF-download sous Xoops 2.0.15 (page blanche sous l'onglet "fichiers")

    Merci et a+
    Captainflamme
    Aspirant
    Inscrit le: 15/02/2006
    De: Dreams
    Contributions: 76
    TaReKiSuS Posté le: 19/09/2006 22:42  Mis à jour: 19/09/2006 22:42
     Re: XOOPS 2.0.15
    Merci à toute l'équipe et à tout les membres actifs pour cette version,

    En attendant la correction finale, je confirme aussi l'efficacité du fichier formp.php de DuGris par rapport à l'édition des petites annonces sous le modules catads :xfsuper:

    Merci encore et bonne continuation ,
    Tarek.
    Newbie
    Inscrit le: 17/03/2005
    De:
    Contributions: 19
    koti4 Posté le: 05/10/2006 09:28  Mis à jour: 05/10/2006 09:28
     Re: XOOPS 2.0.15
    Bonjour à tous,

    Est ce possible de faire une mise à jour
    à partir de XOOPS 2.2.3 Final

    Merci de votre aide
    Semi pro
    Inscrit le: 21/11/2004
    De: Un petit coin de Belgique
    Contributions: 826
    satanas Posté le: 07/10/2006 09:52  Mis à jour: 07/10/2006 09:52
     Re: XOOPS 2.0.15
    Bonjour,

    Voilà j'ai fais la maj de mes site et imppecable, pas de problèmes apparents... et Même la maj d'un 2.0.7.3 fonctionne nickel chrome
    Régulier
    Inscrit le: 27/03/2005
    De: Pen ar bed
    Contributions: 147
    vinyz Posté le: 08/10/2006 19:50  Mis à jour: 08/10/2006 19:50
     Re: XOOPS 2.0.15
    Merci,

    ceci corrige également le pb d'affichage (admin) de la page de config de XHLD 3.07

    Bravo !
    Régulier
    Inscrit le: 02/02/2005
    De: Montrèal, Quèbec
    Contributions: 128
    AlternaRoc Posté le: 13/10/2006 08:15  Mis à jour: 13/10/2006 08:26
     Re: XOOPS 2.0.15
    j'ai fais la mise a jour sur une 2.0.13.2
    apres avoir fait toute les instructions, il n'y a pas de bloc qui s'affiche... uniquement le theme et les pages de modules

    ??????

    jai trouvé l'erreur.... c'était une faute dans mon dossier theme. dsl
    Newbie
    Inscrit le: 07/06/2005
    De:
    Contributions: 20
    scope Posté le: 23/10/2006 11:36  Mis à jour: 23/10/2006 11:36
     Re: XOOPS 2.0.15
    Bonjour,
    Chez moi le module news ne fonctionne plus.
    Cordialement scope.
    Admin Frxoops
    Inscrit le: 04/02/2003
    De: Belgique
    Contributions: 3372
    Solo71 Posté le: 23/10/2006 13:20  Mis à jour: 23/10/2006 13:20
     Re: XOOPS 2.0.15
    Citation :
    Bonjour,
    Chez moi le module news ne fonctionne plus.
    Cordialement scope.


    Et..?

    Suggestion :
    1) Ouvrir un nouveau sujet.
    2) Donner plus de détails.

    Franchement, comment veux-tu que l'on t'aide avec si peu d'informations...

    Régulier
    Inscrit le: 19/08/2006
    De: Paris
    Contributions: 496
    nicemen Posté le: 12/11/2006 19:54  Mis à jour: 12/11/2006 19:54
     Re: XOOPS 2.0.15
    (cool Bjr bien moi j'ai suivi tout vos conseils comme indiquer sur la page et franchement merci ça fonctionne parfaitement, malgrer mais angoisse, merci pour tout llongue vie a xoops ! :xfsuper:
    Newbie
    Inscrit le: 25/09/2003
    De:
    Contributions: 5
    khutulus Posté le: 19/04/2007 00:48  Mis à jour: 19/04/2007 00:48
     Re: XOOPS 2.0.15
    Je suis encore avec la 1.3.10 et je ne trouve nulle part les patch pour upgrader version par version jusqu'à la dernier actuelle (dans la doc le lien vers la liste des patchs ne fonctionne pas) ?
    Qui pourrait m'aider ?
    Xoops accro
    Inscrit le: 04/02/2003
    De: Le Mans
    Contributions: 12273
    Christian Posté le: 19/04/2007 01:27  Mis à jour: 19/04/2007 01:28
     Re: XOOPS 2.0.15
    Les versions intermédiaires ne sont plus disponibles et tu peux utiliser ce tutoriel pour faire ta migration.

    Si tu rencontres des difficultés, merci d'utiliser nos forums.
    Xoops accro
    Inscrit le: 25/02/2004
    De: Région parisienne
    Contributions: 2526
    DuGris Posté le: 08/08/2007 16:23  Mis à jour: 08/08/2007 16:23
     Re: XOOPS 2.0.15
    Attention si vous changer l'editeur dhtml par défaut en modifiant les lignes indiquées, les blocks en php ne fonctionneront pas !!!
    Propulsé avec XOOPS | Graphisme adapté par Tatane, Grosdunord, Montuy337513

    56 Personne(s) en ligne (1 Personne(s) connectée(s) sur Articles) | Utilisateur(s): 0 | Invité(s): 56 | Plus ...